import Panel from "../views/Panel";
import { GDispatcher } from "../../libs/tc/util/GDispatcher";

export default class NoPetPanel extends Panel {
    public get skinKey() { return "NoPet" }

    public get groupName() { return "noPet_Panel" }

    public closeBtn: eui.Button;
    public sureBtn: eui.Button;


    initEvents() {
        super.initEvents();
        this.sureBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    removeEventListener() {
        super.removeEvents();
        this.sureBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    onTouchTap(){
        super.onTouchTap()
        GDispatcher.dispatchEvent("showGameTask");
    }
}